メインコンテンツへスキップ
POST
/
2
/
media
/
subtitles
メディアの字幕を作成
curl --request POST \
  --url https://api.x.com/2/media/subtitles \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "id": "1146654567674912769",
  "media_category": "TweetVideo",
  "subtitles": {
    "display_name": "English",
    "id": "1146654567674912769",
    "language_code": "EN"
  }
}
'
{
  "data": {
    "associated_subtitles": [
      {
        "display_name": "English",
        "id": "1146654567674912769",
        "language_code": "EN"
      }
    ],
    "id": "1146654567674912769",
    "media_category": "TweetVideo"
  },
  "errors": [
    {
      "title": "<string>",
      "type": "<string>",
      "detail": "<string>",
      "status": 123
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://generaltranslation.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

ボディ

application/json
id
string

このメディアの一意の識別子です。

Pattern: ^[0-9]{1,19}$
:

"1146654567674912769"

media_category
enum<string>

字幕を追加または削除する対象となる、アップロード済みメディアのメディアカテゴリです。

利用可能なオプション:
AmplifyVideo,
TweetVideo
:

"TweetVideo"

subtitles
object

レスポンス

リクエストが成功しました。

data
object
errors
object[]
Minimum array length: 1

IETF RFC 7807 (https://tools.ietf.org/html/rfc7807) で定義された HTTP Problem Details オブジェクト。